package com.flyer.foster.controller.app;

import com.flyer.foster.dto.app.AppScoreAddDTO;
import com.flyer.foster.service.IScoreService;
import com.flyer.util.R;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 小程序用户积分（小程序）
 *
 * @author flyer
 * @since 2024-05-18
 */
@RestController
@RequestMapping("/app/score")
public class AppScoreController {
    @Autowired
    private IScoreService iScoreService;

    /**
     * 新增积分
     *
     * @return
     */
    @PostMapping("/{appUserId}")
    public R addOrUpdate(@PathVariable Integer appUserId,@RequestBody AppScoreAddDTO addDTO) {
        addDTO.setAppUserId(appUserId);
        return R.ok().result(iScoreService.addScore(addDTO));
    }
}
