package com.flyer.foster.dto;

import lombok.Data;

/**
 * AreaRespDTO
 *
 * @author kelei
 * @since 2024/5/9/10:58
 */
@Data
public class AreaRespDTO {
    private Integer id;

    /**
     * 区域名称
     */
    private String name;

    /**
     * 区域状态-{0：禁用，1：启用}
     */
    private String areaStatus;

    /**
     * 果园名称
     */
    private String gardenName;

    /**
     * 区域创建时间
     */
    private String createdTime;

    /**
     * 区域修改时间
     */
    private String updatedTime;
}
