package com.flyer.foster.dto.app;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * PosterLibAddDTO
 *
 * @author kelei
 * @since 2024/5/10/10:41
 */
@Data
public class AppPosterLibRespDTO {
    private Integer id;

    /**
     * 海报名称
     */
    private String name;

    /**
     * 海报url
     */
    private String url;

    /**
     * 开始时间
     */
    private String startTime;

    /**
     * 结束时间
     */
    private String endTime;

    /**
     * 状态-{0.不可用 1.可用}
     */
    private Integer status;

    /**
     * 租户号
     */
    private Integer tenantId;


    /**
     * 创建人
     */
    private String createdBy;

    /**
     * 创建时间
     */
    private LocalDateTime createdTime;

    /**
     * 更新人
     */
    private String updatedBy;

    /**
     * 更新时间
     */
    private LocalDateTime updatedTime;
}
