package com.flyer.foster.dto.app;

import lombok.Data;

/**
 * AppUserQueryDTO
 *
 * @author kelei
 * @since 2024/5/11/14:15
 */
@Data
public class AppUserRespDTO {
    private Integer id;

    private String gardenId;

    private String unionId;

    /**
     * 手机号
     */
    private String tel;

    /**
     * 用户名
     */
    private String name;

    /**
     * 性别-{0：女，1：男}
     */
    private Integer sex;

    private String openId;

    /**
     * 用户总积分
     */
    private Integer totalScore;

    /**
     * 是否完成新人引导-{0：未完成，1：已完成}
     */
    private Integer isFinishGuide;

    /**
     * 机构id
     */
    private String icon;

    private String appId;

    private String token;
}
