package com.flyer.foster.service;

import com.flyer.foster.dto.UserAddOrUpdateDTO;
import com.flyer.foster.dto.app.AppSubscribeRespDTO;
import com.flyer.foster.dto.app.AppUserUpdateDTO;
import com.flyer.foster.entity.AppSubscribe;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 小程序订阅用户 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-17
 */
public interface IAppSubscribeService extends IService<AppSubscribe> {

    List<AppSubscribeRespDTO> getSubscribeUserInfo();

    boolean addSubscribe();
}
